<script lang="ts" context="module">
	export type Error = {
		UnconfiguredAddr?: { addr: number };
		OutputTooShort?: { addr: number };
	};
</script>

<script lang="ts">
	export let error: Error;
</script>

{#if error.UnconfiguredAddr}
	Interacting with unconfigured address: {error.UnconfiguredAddr.addr}
{:else if error.OutputTooShort}
	Tried to write a multiple register value, but the requested range was too
	short (at address {error.OutputTooShort.addr})<br />
	This usually is cause by an offset or a type error
{:else}
	Unknown error: {JSON.stringify(error)}
{/if}
